
Infrastructure - Task #2119

Story # 2067 (Closed): Refactor the index task generator and processor to improve scalability and performance

Create command line tool to build/update entire solr index

2011-12-07 21:17 - Skye Roseboom

Status: Closed Start date: 2011-12-07

Priority: Normal Due date:  

Assignee: Skye Roseboom % Done: 100%

Category: d1_indexer Estimated time: 0.00 hour

Target version: Sprint-2012.05-Block.1.3   

Milestone: CCI-0.6.4 Story Points:  

Product Version: *   

Description

History

#1 - 2011-12-07 21:19 - Skye Roseboom

- Category set to d1_indexer

Need ability to index the current state of the coordinating node.  This tool will allow the initial creating of the solr index - containing all documents

contained in the local CN node.

This tool can also be run to update the solr index from a supplied date forward.

#2 - 2011-12-07 22:05 - Skye Roseboom

- Status changed from New to In Progress

#3 - 2011-12-09 15:20 - Skye Roseboom

Implemented in project cn/d1_cn_tools/d1_cn_index_tool.

Tool class is SolrIndexBuildTool.java

Tool iterates through system metadata map's values and generates an index task for each entry in map.  After 1000 index tasks are generated, the

processor is invoked.  This continues until all values in the system metadata map have been processed.

#4 - 2011-12-09 23:01 - Skye Roseboom

Completed and tested with SolrIndexBuiltToolTest.

Updated SolrDoc and HttpService classes to filter out solr copy destination fields from SolrDoc fields.

#5 - 2011-12-09 23:01 - Skye Roseboom

- Status changed from In Progress to Closed
